%define module	ExtUtils-MakeMaker-Coverage
%define name	perl-%{module}
%define version 0.05
%define release %mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Add a Makefile target to determine test coverage using Devel::Cover
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/S/SM/SMPETERS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildArch:	noarch
Requires:	perl-Devel-Cover
BuildRequires:	perl-Devel-Cover
BuildRequires:	perl-Object-Accessor
BuildRequires:	perl-Test-Differences
BuildRequires:	perl-Test-Pod-Coverage
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Requires:	perl-Object-Accessor
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
This module adds an additional target to the Makefile generated by
ExtUtils::MakeMaker. The target, testcover, calls cover, the command-line
script to generate test coverage statistics, to clean up any data from a
previous run. It then runs the tests, as if make test was run, then calls cover
again to generate the coverage statistics.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/ExtUtils
%{_mandir}/*/*
%{_bindir}/*



%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.05-6mdv2009.0
+ Revision: 256846
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.05-4mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-4mdv2008.0
+ Revision: 86373
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-3mdv2007.0
- Rebuild

* Sun Nov 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-2mdk
- %%mkrel
- requires perl-Object-Accessor

* Mon Jul 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk 
- new release
- spec cleanup
- better url
- buildrequires
- test in %%check

* Fri Mar 04 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.02-1mdk 
- first mdk release

